#!/bin/bash

# tstdlet.sh Version 0.2.0 Test btree delete subroutines
# Copyright (C) 2003-2010  dondalah721@yahoo.com (Dondalah)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:
# 
# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

LD_LIBRARY_PATH=../../lib
export LD_LIBRARY_PATH

echo "Initialize a new database"
rm -f tst.bt
initbt -m new -n 11 -r 16 -k 8 -o 4 -d 0 tst.bt

# populate the database
bldbt tst.bt 1024 >zzz01

# run a database check on the database
echo "Database Check"
dbck tst.bt >zzz02

# how many levels deep is the database
depth tst.bt >zzz03

# count the records in the database
btsize tst.bt >zzz04

# count the deleted records in the database
deletes tst.bt >zzz05
cat zzz01 zzz02 zzz03 zzz04 zzz05 | less

# delete records in the database
delbt tst.bt 128 >zzz06

# run a database check on the database
echo "Database Check"
dbck tst.bt >zzz07

# how many levels deep is the database
depth tst.bt >zzz08

# count the records in the database
btsize tst.bt >zzz09

# count the deleted records in the database
deletes tst.bt >zzz10
cat zzz06 zzz07 zzz08 zzz09 zzz10 | less

# print the database in sequence
lstbt tst.bt | less

# reorganize the database
reorg tst.bt >zzz11 2>zzz12

# run a database check on the database
echo "Database Check"
dbck tst.bt >zzz13

# how many levels deep is the database
depth tst.bt >zzz14

# count the records in the database
btsize tst.bt >zzz15

# count the deleted records in the database
deletes tst.bt >zzz16
cat zzz?? | less
# cat zzz11 zzz12 zzz13 zzz14 \
   # zzz15 zzz16 | less

# clean up
rm -f tst.bt zzz??
